%define anolis_release 2
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\((HTTP::Date|HTTP::Headers::Util|Win32)\\)$

Name:           perl-HTTP-Cookies
Version:        6.10
Release:        %{anolis_release}%{?dist}
Summary:        HTTP cookie jars
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/HTTP-Cookies
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/HTTP-Cookies-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils make perl-generators perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.1 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings)
BuildRequires:  perl(Carp) perl(HTTP::Date) >= 6 perl(HTTP::Headers::Util) >= 6
BuildRequires:  perl(HTTP::Request) perl(locale)
BuildRequires:  perl(File::Spec) perl(HTTP::Response) perl(Test)
BuildRequires:  perl(Test::More) perl(URI)
Requires:       perl(Carp) perl(HTTP::Date) >= 6 perl(HTTP::Headers::Util) >= 6
Conflicts:      perl-libwww-perl < 6


%description
This class is for objects that represent a "cookie jar" -- that is, a
database of all the HTTP cookies that a given LWP::UserAgent object
knows about.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       coreutils perl-Test-Harness

%description tests
Tests from %{name}. Execute them
with "%{_libexecdir}/%{name}/test".

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n HTTP-Cookies-%{version}
for F in $(find t/ -name '*.t'); do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!\s*perl}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
rm -f %{buildroot}%{_libexecdir}/%{name}/t/00*
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
set -e
DIR=$(mktemp -d)
cp -a %{_libexecdir}/%{name}/* "$DIR"
pushd "$DIR"
prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
popd
rm -r "$DIR"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files tests
%{_libexecdir}/%{name}

%files doc
%doc Changes CONTRIBUTORS README.md

%changelog
* Sat Apr 15 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 6.10-2
- Optimize the spec file and add doc package

* Thu Feb 02 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 6.10-1
- init from upstream
